import { CSSProperties, FC, ReactNode } from "react"
import styles from './EllipsisBox.module.css'
import { Tooltip } from "antd"

type ellipsisBoxProps = {
    className?: string
    style?: CSSProperties
    txt: ReactNode
    line?: number
    needTooltip?: boolean
}
const EllipsisBox: FC<ellipsisBoxProps> = (props) => {
    const { txt, style, line = 1, className, needTooltip = false } = props
    return needTooltip ? <Tooltip title={<span style={{ color: '#333' }}>{txt}</span>} color='#fff'>
        <span className={`${styles.box} ${className || ''}`} style={{
            ...style,
            WebkitLineClamp: line
        }}>{txt}</span>
    </Tooltip> : <span className={`${styles.box} ${className}`} style={{
        ...style,
        WebkitLineClamp: line
    }}>{txt}</span>
}
export default EllipsisBox