import { Component, Property } from "../decorator";
import BaseFormComponent, { BaseConfig } from "./base";
import branchIcon from "@/assets/images/setting/branch.png";

class BranchConfig extends BaseConfig {
  constructor() {
    super();
    this.init();
  }

  @Property({
    desc: "可否提交多条数据",
    def: true,
    type: "Radio",
    config: {
      option: [
        { label: "可提交多条", value: true },
        { label: "不可提交多条", value: false },
      ],
    },
  })
  isInfinite?: string;

  // @Property({
  //   desc: "展示形式",
  //   def: "list",
  //   type: "Select",

  //   config: {
  //     option: [
  //       { label: "列表展示", value: "list" },
  //       { label: "表格展示", value: "table" },
  //     ],
  //   },
  // })
  // display?: string;

  children: BaseFormComponent[] = [];

  addChild(child: BaseFormComponent) {
    this.children.push(child);
  }

  removeChild(key: string) {
    this.children = this.children.filter((v) => v.key !== key);
  }
}

@Component({
  icon: branchIcon,
  name: "明细",
  description: "",
})
export class Branch extends BaseFormComponent {
  constructor() {
    super();
    this.label = "明细";
    this.componentOption = new BranchConfig();
  }
}
