import { Component, Property } from "../decorator";
import BaseFormComponent, { BaseConfig } from "./base";
import selectIcon from "@/assets/images/setting/select.png";

class CheckboxConfig extends BaseConfig {
  constructor() {
    super();
    this.init();
  }
  @Property({
    def: [],
    desc: "添加选项",
    type: "List",
  })
  options!: string;

  @Property({
    desc: "打印",
    def: false,
    type: "Checkbox",
  })
  print?: boolean;

  @Property({
    desc: "必须",
    def: true,
    type: "Checkbox",
  })
  require?: boolean;
}

/** 文本组件 */
@Component({
  icon: selectIcon,
  name: "多选",
  description: "",
})
export class Checkbox extends BaseFormComponent {
  constructor() {
    super();
    this.label = "多选";
    this.componentOption = new CheckboxConfig();
  }
}
