import { Component, Property } from "../decorator";
import BaseFormComponent, { BaseConfig } from "./base";
import selectIcon from "@/assets/images/setting/select.png";

class SelectConfig extends BaseConfig {
  constructor() {
    super();
    this.init();
  }
  @Property({
    def: [],
    desc: "添加选项",
    type: "List",
  })
  option!: string;

  @Property({
    def: "请选择",
    desc: "提示",
    type: "TextInput",
  })
  placeholder!: string;

  @Property({
    def: true,
    desc: "是否可多选",
    type: "Checkbox",
  })
  multiple!: string;

  @Property({
    desc: "打印",
    def: false,
    type: "Checkbox",
  })
  print?: boolean;

  @Property({
    desc: "必须",
    def: true,
    type: "Checkbox",
  })
  require?: boolean;
}

/** 文本组件 */
@Component({
  icon: selectIcon,
  name: "选择器",
  description: "",
})
export class Select extends BaseFormComponent {
  constructor() {
    super();
    this.label = "选择器";
    this.componentOption = new SelectConfig();
  }
}
