import { Tooltip } from "antd";
import styles from "./labelText.module.css";
interface LabelTextProps {
  label: string;
  text: string;
  wrap?: boolean;
  labelColor?: string;
  textColor?: string;
}

const LabelText = ({
  label,
  text,
  wrap = false,
  textColor,
  labelColor,
}: LabelTextProps) => {
  return (
    <div className={styles.labelTextWrapper}>
      <div className={styles.label} style={{ color: labelColor }}>
        {label}：
      </div>
      {wrap ? (
        <div className={styles.labelText} style={{ color: textColor }}>
          {text}
        </div>
      ) : (
        <Tooltip title={text} trigger="hover">
          <div className={styles.labelTextNowrap}>{text}</div>
        </Tooltip>
      )}
    </div>
  );
};

export default LabelText;
