import RenderComponent from "@/components/FormComponentRender/renderComponent";

import { Form } from "antd";
import { useFormContext } from "..";

import "./formView.module.css";
const FormView = () => {
  const { formConfigList } = useFormContext();

  return (
    <Form colon={false} labelWrap layout="vertical">
      {formConfigList.map((item) => {
        if (item.componentType === "Branch") {
          /** 分组调整下布局 */
          return (
            <Form.Item key={item.key} layout="vertical" name={item.key}>
              <RenderComponent
                config={item.componentOption}
                componentType={item.componentType}
                metaData={item}
              ></RenderComponent>
            </Form.Item>
          );
        }

        return (
          <Form.Item
            label={item.label}
            labelCol={{ span: 6 }}
            key={item.key}
            layout="horizontal"
            wrapperCol={{ span: 18 }}
            rules={[
              {
                required: item.componentOption?.require,
                message: `请填写${item?.label}`,
              },
              ...item.validationRules,
            ]}
            name={item.key}
          >
            <RenderComponent
              config={item.componentOption}
              componentType={item.componentType}
              metaData={item}
            ></RenderComponent>
          </Form.Item>
        );
      })}
    </Form>
  );
};

export default FormView;
