import ProgressItem from "./progress-item";
import { RollbackOutlined } from "@ant-design/icons";
import { Space } from "antd";
import applyIcon from "@/assets/images/applyRecord/applyIcon.png";
import styles from "./index.module.css";
import { useNavigate } from "react-router-dom";
import ApplicationMaterial from "../../ApplicationMaterial";

import { useBoolean } from "ahooks";
import { useEffect, useState } from "react";
import useUserStore from "@/store/useUserStore";
import service from "@/service";
const ReviewProcess = () => {
  const navigate = useNavigate();

  const [showDetail, { setFalse, setTrue }] = useBoolean(false);
  const [progressRecord, setProgressRecord] = useState<any[]>();
  const { userInfo } = useUserStore();
  const [actionObj, setActionObj] = useState<any>();

  useEffect(() => {
    const mobile = userInfo?.mobile;

    if (mobile) {
      service.applyService
        .getExamineProgress({
          pageNum: 1,
          pageSize: 100,
          loginName: mobile,
        })
        .then((res) => {
          if (res.code === 200) {
            setProgressRecord(res.data.list);
          }
        });
    }
  }, [userInfo]);

  const clickDetail = (params: any) => {
    const actionObj = {
      examineKeys: "all",
      thingId: params.thingId,
      id: params.id,
      metaData: params,
      type: "check",
    };
    setActionObj(actionObj);
    setTrue();
  };

  return (
    <div className={styles.container}>
      <ApplicationMaterial
        visible={showDetail}
        onClose={setFalse}
        mode="check"
        actionObj={actionObj}
      ></ApplicationMaterial>
      <div className={styles.contentWrapper}>
        <div className={styles.header}>
          <Space
            className={styles.backBtn}
            onClick={() =>
              navigate("/apply", {
                replace: true,
              })
            }
          >
            <RollbackOutlined />
            返回
          </Space>
        </div>
        <div className={styles.content}>
          <Space align="center">
            <img src={applyIcon} alt="" style={{ width: 70, height: 70 }}></img>
            {/* <div className={styles.title}>我的申请</div> */}
            <div className={styles.title}>申请管理</div>
          </Space>
          {progressRecord?.map((v) => {
            return (
              <ProgressItem
                onClick={clickDetail.bind(this, v)}
                progressData={v}
                key={v.id}
              ></ProgressItem>
            );
          })}
        </div>
      </div>
    </div>
  );
};

export default ReviewProcess;
