import { PropsWithChildren } from "react";
import styles from "./groupCard.module.css";
import DecoratePoint from "@/pages/ApplicationMaterial/components/decoratePoint";
import { Flex } from "antd";

const GroupCard: React.FC<PropsWithChildren & { title?: string }> = (props) => {
  const { children, title } = props;
  return (
    <div className={styles.container}>
      {title && title?.length > 0 ? (
        <Flex align="center" gap={8} style={{ marginBottom: 16 }}>
          <DecoratePoint></DecoratePoint>
          <div className="">{title}</div>
        </Flex>
      ) : undefined}
      <div className={styles.card}>{children}</div>
    </div>
  );
};

export default GroupCard;
