import request from "./core/request";

// 状态趋势
export function getStatusTrend(dateType: string) {
    return request.post("/visualization/statusTrend?dateType=" + dateType);
}

// 统计
export async function getStatisc() {
    const res = await Promise.all([
        request.get("/visualization/matterRecordStatistics"),  // 全部
        request.get("/visualization/matteRecordStatusStatistics"),  // 状态统计
    ])
    return {
        allStatisc: res[0].data,
        statusStatisc: res[1].data.map((v: any) => {
            if (v.name === '处理中') v.color = '#1FD38D'
            if (v.name === '完成') v.color = '#007AFF'
            if (v.name === '驳回') v.color = '#FFBD55'
            return v
        })
    }
}

// 任务状态分布 
export async function taskStatusDistribution() {
    return request.get("/visualization/taskStatusDistribution")
}

// 任务分析 
export function taskAnalysePageList(params: any) {
    return request.post("/visualization/taskAnalysis", { params })
}

// 任务分析 导出excel 
export function taskAnalyseExportExcel() {
    return request.post("/visualization/taskAnalysisExport", { responseType: 'arrayBuffer' })
}


//  排名 
export function rankList() {
    return request.get("/visualization/personnelRankingAnalysis")
}
