import { RespListResult } from "./core/interface";
import request from "./core/request";

/** 上传文件 */
export function upload(formData: FormData) {
  return request.post("/oss/upload", {
    params: {
      bucketName: "cgtf",
    },
    body: formData,
    requestType: "form",
  });
}

/** 获取全部用户 */
export function getAllUser() {
  return request.post<RespListResult<API.StaffInfo>>(
    "/hncy/others/queryAllUser",
    {
      params: {
        allFlag: true,
      },
    }
  );
}

/** 获取全部街道 */
export function getAllStreet() {
  return request.post<RespListResult<API.Street>>(
    "/approval-city-info/list?parentCode=510114"
  );
}

/** 新增管理员 */
export function addAdmin(params: any) {
  return request.post("/approval-role/insert", {
    params: params,
  });
}
/** 获取角色权限 */
export function getRoleOfAuthority() {
  return request.post("/approval-role/list");
}

/** 删除管理员角色 */
export function deleteAdmin(code: string) {
  return request.post("/approval-role/removeByCode", {
    params: {
      roleCode: code,
    },
  });
}

/** 查询法人信息 */
export function queryAuthenticationInfo() {
  return request(
    "/mainBody/violating-subject/hncy/entities/selectIsAuthentication",
    {
      method: "POST",
      prefix: "",

      header: {
        "CLIENT-TOC": "Y",
      },
    }
  );
}

/** 获取法人信息 */
export function getMainBodyInfo(tel: string) {
  return request("/mainBody/violating-subject/hncy/entities/getEntityByTel", {
    method: "GET",
    prefix: "",
    header: {
      "CLIENT-TOC": "Y",
    },
    params: {
      tel,
    },
  });
}
