import { FlowChartNode } from "@/pages/Setting/interface";
import request from "./core/request";
import { RespListResult } from "./core/interface";

/**
 * 提交基础设置
 * @param data 表单值
 * @returns
 */
export function submitBaseSetting(data: Record<string, any>) {
  return request.post("/hncy/matterInfo/saveThing", {
    params: data,
  });
}

/** 保存表单 */
export function saveFormConfigItem(param: {
  thingId: string;
  groupId: string;
  label: string;
  componentType: string;
  fieldKey: string;
  validationRules: string;
  otherSet: string;
}) {
  return request.post("/hncy/content/saveMatterTemplate", {
    params: param,
  });
}

export function saveFlowConfig(params: {
  processId: any;
  processName: any;
  description: string;
  elementParams: FlowChartNode[];
  originalData: string;
}) {
  return request.post("/hncy/flow/make-flow", {
    data: params,
  });
}

export function getTemplateConfig(id: string) {
  return request.post("/hncy/matterInfo/getInfo", {
    params: {
      id,
    },
  });
}
/** 获取流程图配置 */
export function getFlowChartConfig(id: string) {
  return request.get("/hncy/flow/process-info", {
    params: { id },
  });
}

/** 查询主体类型 */
export function queryMainBodyTypes() {
  return request.post<RespListResult<{ name: string; id: string }>>(
    "/mainBody/violating-subject/hncy/entities/selectByEntityTypes",
    {
      prefix: "",
    }
  );
}
